ST_Simplify
Prev | 10.8. Topology Processing | Next

## Name

ST_Simplify — Returns a "simplified" geometry version of the given TopoGeometry using the Douglas-Peucker algorithm.

## Synopsis

`geometry ST_Simplify(`TopoGeometry tg, float8 tolerance`)`;

## Description

Returns a "simplified" geometry version of the given TopoGeometry using the Douglas-Peucker algorithm on each component edge.

The returned geometry may be non-simple or non-valid. Splitting component edges may help retaining simplicity/validity.

Performed by the GEOS module.

Availability: 2.1.0

## See Also

Geometry ST_Simplify, ST_IsSimple, ST_IsValid, ST_ModEdgeSplit

Prev | Up | Next
AddFace | Home | RemoveUnusedPrimitives